#include <iostream>

using namespace std;

int main()
{   int n,x,a,amaxl=0,amaxr=0,r;
    cin>>n>>x;
    for(int i=1;i<=n;i++)
    {
        cin>>a;
        if(a-x>amaxr) amaxr=a-x;
        if(x-a>amaxl) amaxl=x-a;
    }
    if(amaxr!=0&&amaxl!=0)
    {
    if(amaxr>amaxl) r=amaxr+2*amaxl;
    else r=amaxl+2*amaxr;
    }
    else r=amaxr+amaxl;
    cout << r << endl;
    return 0;
}